%define subrel	1

Name:		slim
Version:	1.3.4
Release:	%mkrel 3
Summary:	Simple login manager
Group:		System/X11
License:	GPLv2+
URL:		http://slim.berlios.de
Source0:	http://slim.berlios.de/releases/%{name}-%{version}.tar.gz
Source1:	%{name}.pam
Source2:	25%{name}.conf
Source6:	slim-tmpfiles.conf
Source7:	slim.service
Patch0:         %{name}-1.3.4-fedora-libpng15.patch
Patch1:		%{name}-1.3.2-config.patch
Patch2:		%{name}-1.3.0-libgen.patch
BuildRequires:	libxmu-devel
BuildRequires:	libxft-devel
BuildRequires:	libxrender-devel
BuildRequires:	libpng-devel
BuildRequires:	libjpeg-devel
BuildRequires:	freeglut-devel
BuildRequires:	freetype-devel
BuildRequires:	fontconfig-devel
BuildRequires:	pkgconfig
BuildRequires:	gettext
BuildRequires:	pam-devel
BuildRequires:  cmake
Requires:	pam >= 0.80
Requires:	%{_real_vendor}-theme
Requires(post): systemd >= %{systemd_required_version}
Provides:	dm

%description
SLiM (Simple Login Manager) is a Desktop-independent graphical 
login manager for X11.
 
It aims to be light and simple, although completely configurable 
through themes and an option file; is suitable for machines on which 
remote login functionalities are not needed.

Features included:
 
* PNG and XFT support for alpha transparency and antialiased fonts
* External themes support
* Configurable runtime options: X server, login / shutdown / reboot commands
* Single (GDM-like) or double (XDM-like) input control
* Can load predefined user at startup
* Configurable welcome / shutdown messages
* Random theme selection


%prep
%setup -q
%patch0 -p0 -b .libpng15
%patch1 -p0
%patch2 -p0

%build
CXXFLAGS="%{optflags}" %cmake -DUSE_PAM=yes
%make

%install
%makeinstall_std -C build

mkdir -p %{buildroot}%{_sysconfdir}/pam.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pam.d/%{name}

mkdir -p %{buildroot}%{_datadir}/X11/dm.d
install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/X11/dm.d/25%{name}.conf

# (tpg) use background from mageia-theme
rm -f %{buildroot}%{_datadir}/slim/themes/default/background.jpg
ln -s ../../../mga/backgrounds/default.jpg %{buildroot}%{_datadir}/slim/themes/default/background.jpg

mkdir -p $RPM_BUILD_ROOT%{_unitdir}
install -m 644 %{SOURCE7} $RPM_BUILD_ROOT%{_unitdir}/slim.service

install -p -D -m 644 %{SOURCE6} %{buildroot}%{_tmpfilesdir}/%{name}.conf

%post
%_tmpfilescreate %{name}

%files
%doc ChangeLog README THEMES TODO
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_datadir}/X11/dm.d/25%{name}.conf
%config(noreplace) %{_sysconfdir}/%{name}.conf
%dir %{_datadir}/slim
%{_bindir}/slim*
%{_datadir}/slim/themes/
%{_mandir}/man1/*
%{_unitdir}/slim.service
%{_tmpfilesdir}/slim.conf


%changelog
* Fri Sep 13 2013 wally <wally> 1.3.4-3.1.mga3
+ Revision: 478543
- fix device file permission issues (lost sound) after using 'su' (mga#11138)

* Sun Mar 24 2013 colin <colin> 1.3.4-3.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Mon Jan 14 2013 umeabot <umeabot> 1.3.4-2.mga3
+ Revision: 382173
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 kamil <kamil> 1.3.4-1.mga3
+ Revision: 323913
- add patch P0: fedora-libpng15.patch
- new version 1.3.4

* Sun Nov 25 2012 colin <colin> 1.3.3-5.mga3
+ Revision: 321743
- Set perms on tmpfiles snippet

* Sun Nov 25 2012 colin <colin> 1.3.3-4.mga3
+ Revision: 321730
- Do not package tmpfiles conf in /etc
- Run systemd-tmpfiles --create on post install

* Mon Nov 05 2012 blino <blino> 1.3.3-3.mga3
+ Revision: 314544
- buildrequire freeglut-devel
- add tmpfiles.d config file (from Fedora)
- add systemd unit (from Fedora)
- revert using consolekit's ck-launch-session for login_cmd (to drop consolekit dep, we will use systemd)

* Fri Mar 30 2012 kamil <kamil> 1.3.3-2.mga2
+ Revision: 227556
- use consolekit's ck-launch-session for login_cmd (to fix possible problems with PolicyKit)

* Mon Feb 27 2012 kamil <kamil> 1.3.3-1.mga2
+ Revision: 215690
- new version 1.3.3
- drop P0 - upstream switched to cmake
- drop P3 - merged upstream
- rediff P1 and P2
- build now with cmake

* Thu Sep 15 2011 fwang <fwang> 1.3.2-3.mga2
+ Revision: 143755
- fix build with libpng1.5

* Fri May 13 2011 ahmad <ahmad> 1.3.2-3.mga1
+ Revision: 98206
+ rebuild (emptylog)

* Fri May 13 2011 ahmad <ahmad> 1.3.2-2.mga1
+ Revision: 98205
- Rediff the config patch, now slim.conf uses the various actual session names
  which should enable users to log into the available DE's (mga#1255)

* Sat Mar 19 2011 ennael <ennael> 1.3.2-1.mga1
+ Revision: 74455
- clean spec file
- imported package slim


* Sat Aug 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.2-1mdv2011.0
+ Revision: 567439
- update to new version 1.3.2
- rediff patches 0 and 1
- drop patch 3

* Sat Aug 22 2009 Funda Wang <fwang@mandriva.org> 1.3.1-2mdv2010.0
+ Revision: 419589
- fix build with gcc 4.4

* Thu Feb 19 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.1-2mdv2009.1
+ Revision: 343001
- Patch1: rediff, add xserver arguments, like start on vt7 etc.
- add provides on dm

* Sat Nov 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.1-1mdv2009.1
+ Revision: 303601
- Patch0: use xvt instead of xterm
- update to new version 1.3.1
- rediff patches 0 and 1
- drop patch 3 and 4 as they were merged by upstream
- remove requires on xterm

* Fri Sep 05 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.0-9mdv2009.0
+ Revision: 281215
- Patch4: add autologin feature
- Patch3: fix compiling with gcc43
- compile with %%{optflags}
- adjust X11 dm path

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

* Tue Mar 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.0-6mdv2008.1
+ Revision: 188496
- mandriva-theme uses jpeg compression for wallpapers
- do not package COPYING file

* Sat Jan 26 2008 Funda Wang <fwang@mandriva.org> 1.3.0-5mdv2008.1
+ Revision: 158298
- fix conf file

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 12 2007 Funda Wang <fwang@mandriva.org> 1.3.0-4mdv2008.1
+ Revision: 108176
- rebuild for new lzma

* Fri Nov 02 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.0-3mdv2008.1
+ Revision: 105219
- rework patch 1 one more time
- add missing header (patch 2)

* Thu Nov 01 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.0-2mdv2008.1
+ Revision: 104462
- new license policy
- rediff both patches
- add initial support for the drakedm and dm script, rest hast to be done in initscripts file (/etc/X11/prefdm)

* Tue Oct 02 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.0-1mdv2008.1
+ Revision: 94462
- use background from mandriva-theme
- mark slim.conf as a configuration file
- provide patch 1 (configuration)
- provide patch 0 (makefile patch)
- add pam rules
- import slim


